import { IConnection } from "vscode-languageserver";
import { IConnectionLogger, InkError, InkWorkspace } from "../../types/types";
import DocumentManager from "./DocumentManager";
/**
 * Manages the diagnostic reported by Inklecate.
 */
export default class DiagnosticManager {
    private connection;
    private documentManager;
    private logger;
    constructor(connection: IConnection, documentManager: DocumentManager, logger: IConnectionLogger);
    /**
     * Send the given errors to the client.
     *
     * @param errors the errors to push.
     */
    notifyClientAndPushDiagnostics(workspace: InkWorkspace, outputStoryPath: string, errors: InkError[]): void;
}
