import { TextDocuments } from "vscode-languageserver";
import { PartialInkConfigurationSettings } from "../../types/types";
/**
 * Manages and mirrors the documents opened by the client.
 */
export default class DocumentManager {
    /** Documents managed by the clients. */
    documents: TextDocuments;
    /**
     * Document settings, scoped per document, returned by the client.
     *
     * URIs of the client's `TextDocument` will be used as keys.
     */
    documentSettings: Map<string, Thenable<PartialInkConfigurationSettings>>;
}
