"use strict";
// Copyright (c) Frédéric Maquin <fred@ephread.com>
// Licensed under the MIT License.
// See LICENSE in the project root for license information.
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_languageserver_1 = require("vscode-languageserver");
/**
 * Manages and mirrors the documents opened by the client.
 */
class DocumentManager {
    constructor() {
        /** Documents managed by the clients. */
        this.documents = new vscode_languageserver_1.TextDocuments();
        /**
         * Document settings, scoped per document, returned by the client.
         *
         * URIs of the client's `TextDocument` will be used as keys.
         */
        this.documentSettings = new Map();
    }
}
exports.default = DocumentManager;
//# sourceMappingURL=DocumentManager.js.map