"use strict";
// Copyright (c) Frédéric Maquin <fred@ephread.com>
// Licensed under the MIT License.
// See LICENSE in the project root for license information.
Object.defineProperty(exports, "__esModule", { value: true });
const identifiers_1 = require("../../types/identifiers");
/**
 * Renders a story. In the current context, it means notifying the client.
 */
class StoryRenderer {
    constructor(connection) {
        this.connection = connection;
    }
    showText(text) {
        const params = { text };
        this.connection.sendNotification(identifiers_1.RuntimeNotification.text, params);
    }
    showTag(tags) {
        const params = { tags };
        this.connection.sendNotification(identifiers_1.RuntimeNotification.tag, params);
    }
    showChoice(choice) {
        const params = { choice };
        this.connection.sendNotification(identifiers_1.RuntimeNotification.choice, params);
    }
    showPrompt() {
        this.connection.sendNotification(identifiers_1.RuntimeNotification.prompt);
    }
    showEndOfStory() {
        this.connection.sendNotification(identifiers_1.RuntimeNotification.endOfStory);
    }
    reportError(error) {
        const params = { error };
        this.connection.sendNotification(identifiers_1.RuntimeNotification.error, params);
    }
}
exports.default = StoryRenderer;
//# sourceMappingURL=StoryRenderer.js.map