import { DiagnosticSeverity } from "vscode-languageserver/lib/main";
import { IConnectionLogger, InkErrorType } from "../types/types";
/**
 * Returns `true` if `filePath` point to a file that is a child of
 * the directory `dirPath` points to.
 *
 * @param filePath path to he file.
 * @param dirPath path to the directory.
 */
export declare function isFilePathChildOfDirPath(filePath: string, dirPath: string): boolean;
/**
 * Transform an InkErrorType into its equivalent DiagnosticSeverity.
 * @param type the InkErrorType to transform.
 */
export declare function getDiagnosticSeverityFromInkErrorType(type: InkErrorType): DiagnosticSeverity;
export declare function isInkFile(filePath: string, testIfDirectory: boolean, logger: IConnectionLogger): boolean;
